> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/datasets/patch.md).

# patch

## Overview

This endpoint is used for updating information about a dataset

## HTTP Request

```http
POST /api/v1/datasets/:datasetRefrence
```

## Path parameters

| Parameter        |                                                                                                                        |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the dataset.

| Property name         | Type          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **name**              | **string**    | The name of the dataset. Must be unique (non-word characters ignored) within the user or organization that owns the dataset.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| **publicAccessLevel** | **string**    | <p>The public access level of the dataset. Must be one of:</p><ul><li><strong>none</strong> - Only specific people will be able to see the existence of the dataset.</li><li><strong>overview</strong> - Anyone can see the existence of the dataset</li><li><strong>metadata</strong> - Anyone can view any variables and summary statistics on the dataset.</li><li><strong>sample</strong> - Anyone can view, query, and download the dataset's sample data.</li><li><strong>data</strong> - Anyone can view, query, and download the dataset's data.</li></ul> |
| **description**       | **string**    | A short description of the dataset that will show up in search results. Limited to 256 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **labels**            | **string\[]** | A list of labels to assign to the dataset. Labels cannot contain spaces, and may have a single colon to delineate a categorical label (e.g., `quality:good`).                                                                                                                                                                                                                                                                                                                                                                                                      |

## Authorization

You must either authorize as the user or an administrator of the organization that owns the dataset. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a [dataset resource](/api/resource-definitions/dataset.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/datasets/patch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
